import { getSessionManager } from '@agiliza/curio'

import { System as ApiSystem } from '../interfaces/System'
import { DYNAMO_TRANSITIONS } from '../useCases/transitions'

export interface SearchParams {
  values: Record<string, any>
}

export function createMenuAPI() {
  return {
    fetchMenu: async function () {
      const sessionManger = await getSessionManager()
      const response = await sessionManger.session!.sendRequest(DYNAMO_TRANSITIONS.menu, {
        Level: {
          _: sessionManger.session!.module,
        },
        Version: {
          _: sessionManger.session!.version,
        },
      })
      return response.System as ApiSystem
    },
  }
}
