import pMinDelay from 'p-min-delay'

import * as apiSession from './session'

type ApiSessionManager<A> = (...args: any[]) => Promise<A | void>

interface ApiMapObject<A> {
  [key: string]: ApiSessionManager<A>
}

export const applyDelayToApi = <
  A,
  M extends ApiMapObject<A> | ApiSessionManager<A>
>(
  apiMapObject: M,
  ms = 600
): M =>
  Object.entries(apiMapObject).reduce(
    (acc, [k, v]: [string, ApiSessionManager<any>]) => ({
      ...acc,
      [k]: (...args: any[]) => pMinDelay(v(...args), ms)
    }),
    {} as M
  )

export const session = applyDelayToApi(apiSession)
