import { getSessionManager } from '@agiliza/curio'

import { createMenuAPI } from '../dynamo'

// import { createMenuAPI } from '../dynamo'

// import { SolicitarRedefinicao, VerificarCodigo, RedefinirSenha } from '../interfaces/Login'

// const ucRecuperarSenha = {
//   id: '3522',
//   SOLICITAR_REDEFINICAO: 'RM_SOLICITAR_REDEFINICAO',
//   VERIFICAR_CODIGO: 'RM_VERIFICAR_CODIGO',
//   DEFIINIR_SENHA: 'RM_DEFINIR_SENHA'
// }

interface LoginParams {
  username: string
  password: string
}

export const initialize = async () => {
  await getSessionManager()
}

export const login = async ({ username, password }: LoginParams) => {
  const sessionManager = await getSessionManager()
  return sessionManager.openMainUseCase(username, password)
}

export const logout = async () => {
  const sessionManager = await getSessionManager()
  sessionManager?.session?.abort()
}

export const { fetchMenu } = createMenuAPI()

// export const solicitarRedefinicao = async (funcionario: SolicitarRedefinicao) => {
//   const mainUseCase = await sessionManager.anonymousConnection()
//   const uc = await mainUseCase.openUseCase(ucRecuperarSenha.id)
//   const response = await uc.sendRequest(ucRecuperarSenha.SOLICITAR_REDEFINICAO, {
//     Funcionario: funcionario
//   })

//   await uc.abort()
//   return response.Funcionario as Funcionario
// }

// const enviarCodigoSenha = async (envCodigo: VerificarCodigo) => {
//   const { _codigoAcesso, _OID } = envCodigo
//   const mainUseCase = await sessionManager.anonymousConnection()
//   const uc = await mainUseCase.openUseCase(ucRecuperarSenha.id)
//   const response = await uc.sendRequest(ucRecuperarSenha.VERIFICAR_CODIGO, {
//     Funcionario: { _codigoAcesso, _OID }
//   })
//   await uc.abort()
//   return response.Funcionario as Funcionario
// }

// const redefinirSenha = async (redefSenha: RedefinirSenha) => {
//   const { _OID, _senha, _codigoAcesso } = redefSenha
//   const mainUseCase = await sessionManager.anonymousConnection()
//   const uc = await mainUseCase.openUseCase(ucRecuperarSenha.id)
//   const response = await uc.sendRequest(ucRecuperarSenha.DEFIINIR_SENHA, {
//     Funcionario: { _senha, _OID, _codigoAcesso }
//   })
//   await uc.abort()
//   return response.Funcionario as Funcionario
// }

// export const useCaseRecuperarSenha = {
//   solicitarRedefinicao,
//   enviarCodigoSenha,
//   redefinirSenha
// }
