import { getError } from '@agiliza/utils/method'
import { Dispatch, Middleware, PayloadAction } from '@reduxjs/toolkit'

import { actions as errorActions } from './ui/error'

export const errorMiddleware: Middleware =
  ({ dispatch }) =>
  (next: Dispatch<PayloadAction<any>>) =>
    ((action: PayloadAction<any>) => {
      if (/Error$/.test(action.type) && action.payload) {
        const error = getError(action.payload)
        dispatch(errorActions.setErrorMessage(error))
      }
      return next(action)
    }) as Dispatch<PayloadAction>
