import { createSlice, PayloadAction } from '@reduxjs/toolkit'

export interface State {
  fetching: boolean
}

export const initialState: State = {
  fetching: false,
}

interface Login {
  username: string
  password: string
}

const login = createSlice({
  name: 'ui/login',
  initialState,
  reducers: {
    login(state, action: PayloadAction<Login>) {
      state.fetching = true
    },
    loginSuccess(state) {
      state.fetching = false
    },
    loginError(state, action: PayloadAction<string>) {
      state.fetching = false
    },
  },
})

export default login
