import { extractNumbers } from './method'

export const maskCPFCNPJ = (str?: string) => {
  if (!str) return ''
  const filteredString = extractNumbers(str)
  // if (filteredString.length !== str.length) return str

  const length = filteredString.length
  if (length < 4) return filteredString
  if (length < 7) return filteredString.replace(/(\d\d\d)/, '$1.')
  if (length < 10) return filteredString.replace(/(\d\d\d)(\d\d\d)/, '$1.$2.')
  if (length < 12) {
    return filteredString.replace(/(\d\d\d)(\d\d\d)(\d\d\d)/, '$1.$2.$3-')
  }

  if (length < 13) {
    return filteredString.replace(/(\d\d)(\d\d\d)(\d\d\d)(\d\d\d\d)/, '$1.$2.$3/$4')
  }
  if (length < 15) {
    return filteredString.replace(/(\d\d)(\d\d\d)(\d\d\d)(\d\d\d\d)/, '$1.$2.$3/$4-')
  }

  return filteredString
}

export const maskCEP = (str?: string) => {
  if (!str) return ''
  const filteredString = extractNumbers(str)
  // if (filteredString.length !== str.length) return str

  const length = filteredString.length
  if (length < 6) return filteredString
  if (length < 9) return filteredString.replace(/(\d\d\d\d\d)/, '$1-')
  return filteredString
}

export const maskTel = (str?: string) => {
  if (!str) return ''
  let filteredString = extractNumbers(str)
  // if (filteredString.length !== str.length) return str
  if (filteredString[0] === '0') filteredString = filteredString.substring(1)
  const length = filteredString.length
  if (length < 3) return filteredString
  if (length < 7) return filteredString.replace(/(\d\d)/, '($1) ')
  if (length < 11) return filteredString.replace(/(\d\d)(\d\d\d\d)/, '($1) $2-')
  if (length < 12) {
    return filteredString.replace(/(\d\d)(\d\d\d\d\d)/, '($1) $2-')
  }

  return filteredString
}
